#
# PHREL
# $Id: mysql-phrel.sql.in,v 1.3 2011/03/03 05:15:08 sella Exp $
# Copyright (c) 2005-2011 Digital Genesis Software. All Rights Reserved.
# Released under the GPL Version 2 License.
# http://www.digitalgenesis.com
# 

#
# Usage:
# mysql -u root -p phrel < mysql-phrel.sql
#

#
# Create a database user with (MySQL 4.0.x):
# GRANT SELECT,INSERT,UPDATE,DELETE,LOCK TABLES ON phrel.* TO phrel@'%' IDENTIFIED BY 'mypass';
#
# Create a database user with (MySQL 3.23.x):
# GRANT SELECT,INSERT,UPDATE,DELETE ON phrel.* TO phrel@'%' IDENTIFIED BY 'mypass';
#

DROP DATABASE IF EXISTS phrel;
CREATE DATABASE phrel;
USE phrel;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

#
# Table structure for table `data`
#

DROP TABLE IF EXISTS `data`;
CREATE TABLE `data` (
  `client` int(10) unsigned NOT NULL,
  `ip` char(40) NOT NULL,
  `updated` int(10) unsigned NOT NULL,
  `avg` int(10) unsigned NOT NULL,
  `sum` int(10) unsigned NOT NULL,
  `max` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`client`, `ip`),
  KEY `updated` (`updated`),
  KEY `avg` (`avg`),
  KEY `sum` (`sum`),
  KEY `max` (`max`)
) TYPE=MyISAM;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
